Loading...
Searching...
No Matches
Opm::StandardPreconditioners< Operator, Comm, typename std::enable_if_t< Opm::is_gpu_operator_v< Operator > > > Struct Template Reference

## Public Types

using | O = Operator
using | C = Comm
using | F = PreconditionerFactory<O, C>
using | M = typename F::Matrix
using | V = typename F::Vector
using | P = PropertyTree
using | PrecPtr = typename F::PrecPtr
using | field_type = typename V::field_type

## Static Public Member Functions

static void | add ()
static PreconditionerFactory< Operator, Comm >::PrecPtr | createParILU (const Operator &op, const PropertyTree &prm, const Comm &comm, const int ilulevel)
static std::size_t | interiorIfGhostLast (const Comm &comm)
| Helper method to determine if the local partitioning has the K interior cells from [0, K-1] and ghost cells from [K, N-1].

## Static Public Attributes

static constexpr int | maxblocksize = 6

## Member Function Documentation

## interiorIfGhostLast()

std::size_t Opm::StandardPreconditioners< Operator, Comm, typename >::interiorIfGhostLast | ( | const Comm & | comm | ) |

inline static

Helper method to determine if the local partitioning has the K interior cells from [0, K-1] and ghost cells from [K, N-1].

Returns K if true, otherwise returns N. This is motivated by usage in the ParallelOverlappingILU0 preconditioner.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/StandardPreconditioners_gpu_mpi.hpp